Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Class DragSourceContext

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drag.DragSourceContext

All Implemented Interfaces:
  IDragSourceContext

    public class DragSourceContext

extends java.lang.Object
implements IDragSourceContext

Concrete implementation of `IDragSourceContext`

Constructor Summary
`DragSourceContext(IWorkbenchPart anActivePart)` Constructor for DragSourceContext.

Method Summary
`protected void` `dragFinished(DragSourceEvent event)` Drag operation finished.
`protected void` `dragSetData(DragSourceEvent event)` Sets the data of the given DragSourceEvent
`protected void` `dragStart(DragSourceEvent event)` Drag operation started.
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart` associated with the drag source viewer.
`ISelection` `getSelection()` Returns the selection of the drag source viewer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragSourceContext

    public DragSourceContext(IWorkbenchPart anActivePart)

  Constructor for DragSourceContext.

  Parameters:
    `anActivePart` - active IWorkbenchPart

Method Detail

### getSelection

    public ISelection getSelection()

  Description copied from interface: `IDragSourceContext`
  Returns the selection of the drag source viewer

  Specified by:
    `getSelection` in interface `IDragSourceContext`
  Returns:
    The selection of the drag source viewer

### getActivePart

    public final IWorkbenchPart getActivePart()

  Description copied from interface: `IDragSourceContext`
  Returns the active `IWorkbenchPart` associated with the drag source viewer.

  Specified by:
    `getActivePart` in interface `IDragSourceContext`
  Returns:
    The active `IWorkbenchPart`

### dragSetData

    protected void dragSetData(DragSourceEvent event)

  Sets the data of the given DragSourceEvent

  Parameters:
    `event` - the DragSourceEvent to have its data set
  See Also:
    `DragSourceListener.dragSetData(org.eclipse.swt.dnd.DragSourceEvent)`

### dragStart

    protected void dragStart(DragSourceEvent event)

  Drag operation started.

  Parameters:
    `event` - the DragSouceEvent to be updated
  See Also:
    `DragSourceListener.dragStart(org.eclipse.swt.dnd.DragSourceEvent)`

### dragFinished

    protected void dragFinished(DragSourceEvent event)

  Drag operation finished.

  Parameters:
    `event` - the DragSouceEvent to be updated
  See Also:
    `DragSourceListener.dragFinished(org.eclipse.swt.dnd.DragSourceEvent)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.